/*
 *
 * Copyright 2000 Sun Microsystems, Inc. All Rights Reserved.
 * 
 * This software is the proprietary information of Sun Microsystems, Inc.  
 * Use is subject to license terms.
 * 
 */

package ejb.lcGrids;

import javax.ejb.EJBObject;
import java.rmi.RemoteException;
import java.sql.*;
import helpers.*;



public interface LCGrids extends EJBObject {
    


    public String getIpFileName() throws RemoteException;
    public String getIp() throws RemoteException;
    public String getFileName() throws RemoteException;
    public Timestamp getCreatDate() throws RemoteException;
    public ServerGrid getGrid() throws RemoteException;


    public void setIpFileName(String ipFile) throws RemoteException;
    public void setCreatDate(Timestamp t) throws RemoteException;
    public void setGrid(ServerGrid g) throws RemoteException;


}

